%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-sudoku
Version:        43.0
Release:	%mkrel 1
Summary:	GNOME Sudoku game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Sudoku
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	itstool
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(qqwing)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(json-glib-1.0)
# For help
Requires:	yelp

%description
GNOME version of the popular Sudoku Japanese logic game.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

sd "Name=Sudoku" "Name=GSudoku" %buildroot/%{_datadir}/applications/org.gnome.Sudoku.desktop
sd "Categories=GNOME;GTK;Game;LogicGame;" "Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;" \
%buildroot/%{_datadir}/applications/org.gnome.Sudoku.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Sudoku.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Sudoku.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Sudoku*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Sudoku.appdata.xml
%{_datadir}/help
%{_datadir}/dbus-1/services/org.gnome.Sudoku.service

%changelog
* Sun Sep 25 2022 tex - 43.0-1pclos2022
- new version

* Sun Sep 11 2022 tex - 42.0-1pclos2022
- new version

* Fri Jul 23 2021 tex - 40.2-1pclos2021
- new version

* Mon May 03 2021 tex - 40.1-1pclos2021
- new version

* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Fri Mar 06 2020 tex - 3.36.0-1pclos2020
- new version

* Mon Oct 14 2019 tex - 3.34.1-1pclos2019
- new version

* Sun Sep 08 2019 tex 3.34.0-1pclos2019
- new version 3.34.0
